Skip to main content
POST
/
cart
/
{cartId}
/
item
JavaScript
import HenrySDK from '@henrylabs/sdk';

const client = new HenrySDK({
  apiKey: process.env['HENRY_SDK_API_KEY'], // This is the default and can be omitted
});

const response = await client.cart.item.add('crt_sa2aEsCz9PRM', {
  item: {
    link: 'https://www.nike.com/u/custom-nike-ja-3-by-you-10002205',
    quantity: 1,
    selectedOptions: ['regular', 'black', '10-w'],
    metadata: { creatorSource: 'Frank Herbert' },
  },
});

console.log(response.data);
{
  "success": true,
  "status": "<string>",
  "message": "<string>",
  "data": {
    "cartId": "<string>",
    "checkoutUrl": "<string>",
    "data": {
      "items": [
        {
          "link": "https://www.nike.com/u/custom-nike-ja-3-by-you-10002205",
          "quantity": 1,
          "selectedOptions": [
            "regular",
            "black",
            "10-w"
          ],
          "selectedShipping": {
            "value": "standard"
          },
          "coupons": [
            "SUMMER26",
            "SAVE10"
          ],
          "metadata": {
            "creatorSource": "Frank Herbert"
          }
        }
      ],
      "settings": {
        "options": {
          "allowPartialPurchase": true,
          "collectBuyerEmail": "required",
          "collectBuyerAddress": "optional",
          "collectBuyerPhone": "off"
        },
        "commissionFeeFixed": {
          "value": 1.99,
          "currency": "USD"
        },
        "commissionFeePercent": 10,
        "events": [
          {
            "type": "order",
            "data": [
              {
                "type": "<string>",
                "points": 123
              }
            ],
            "conditional": {
              "type": "<string>",
              "operator": "equals",
              "value": "<string>"
            }
          }
        ]
      },
      "tags": {}
    },
    "metadata": {}
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

cartId
string
required

Unique identifier for the cart

Example:

"crt_sa2aEsCz9PRM"

Body

application/json
item
object
required

Item to add to the cart (can be object or stringified JSON)

Response

Cart item added successfully

success
boolean
required
status
string
required
message
string
required
data
object
required